# OpenIdConsumerSetupRequired Class Reference
[OpenId implementation]

Inheritance diagram for OpenIdConsumerSetupRequired:
[legend]

List of all members.

## Public Member Functions

| __construct (HttpUrl $url)
| getUrl ()
| isOk ()

## Private Attributes

| $url = null

## Detailed Description

Definition at line 15 of file OpenIdConsumerSetupRequired.class.php.

## Constructor & Destructor Documentation

OpenIdConsumerSetupRequired::__construct | ( | HttpUrl $ | url | ) |

Definition at line 19 of file OpenIdConsumerSetupRequired.class.php.

## Member Function Documentation

OpenIdConsumerSetupRequired::getUrl | ( |  | ) |

Returns:
  HttpUrl

Definition at line 27 of file OpenIdConsumerSetupRequired.class.php.

OpenIdConsumerSetupRequired::isOk | ( |  | ) |

Returns:
  bool

Implements OpenIdConsumerResult.

Definition at line 32 of file OpenIdConsumerSetupRequired.class.php.

## Member Data Documentation

OpenIdConsumerSetupRequired::$url = null`[private]`

Definition at line 17 of file OpenIdConsumerSetupRequired.class.php.

The documentation for this class was generated from the following file:

- main/OpenId/OpenIdConsumerSetupRequired.class.php